﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Cvicenie5
{
    public partial class Form1 : Form
    {
        private Color color = Color.Black;
        private List<ColorShape> objects = new List<ColorShape>();

        public Form1()
        {
            InitializeComponent();
        }

        private void buttonColor_Click(object sender, EventArgs e)
        {
            ColorDialog dialog = new ColorDialog();
            if (dialog.ShowDialog() == DialogResult.OK)
            {
                color = dialog.Color;
                labelColor.BackColor = dialog.Color;
            }
        }

        private void pictureBox1_Click(object sender, EventArgs e)
        {
            MouseEventArgs mouseEventArgs = (MouseEventArgs)e;
            int a = Int32.Parse(textBoxA.Text);
            int b = Int32.Parse(textBoxB.Text);
            if (radioRectangle.Checked)
            {
                ColorRectangle rectangle = new ColorRectangle(color, mouseEventArgs.X,
                        mouseEventArgs.Y, a, b);
                objects.Add(rectangle);
            }
            else if (radioEllipse.Checked)
            {
                ColorEllipse ellipse = new ColorEllipse(color, mouseEventArgs.X,
                        mouseEventArgs.Y, a, b);
                objects.Add(ellipse);
            }
            pictureBox1.Invalidate();
        }

        private void buttonClear_Click(object sender, EventArgs e)
        {
            Graphics graphics = pictureBox1.CreateGraphics();
            graphics.Clear(Color.White);
            graphics.Dispose();
            objects.Clear();
        }

        private void pictureBox1_Paint(object sender, PaintEventArgs e)
        {
            Graphics graphics = e.Graphics;
            foreach (ColorShape colorShape in objects)
            {
                colorShape.Draw(graphics);
            }
        }
    }
}
